Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::VectorArrayInterpolator Class Reference

ベクトル配列補間 More...

`#include <VectorArrayInterpolator.h>`

Inheritance diagram for Lamp::VectorArrayInterpolator:

List of all members.

## Public Member Functions
| VectorArrayInterpolator ()
| コンストラクタ
virtual | ~VectorArrayInterpolator ()
| デストラクタ
| VectorArrayInterpolator (const VectorArrayInterpolator &copy)
| コピーコンストラクタ
virtual VectorArrayInterpolator & | operator= (const VectorArrayInterpolator &copy)
| 代入演算子
virtual VectorInterpolator * | duplicate () const
| 複製
virtual bool | equals (const VectorInterpolator &target) const
| 同じ値かどうか
virtual float | getLength () const
| 長さの取得
virtual AxisAlignedBox | getBoundingBox () const
| バウンディングボックスの取得
virtual Vector3 | interpolate (float time)
| 補間
virtual void | setSize (int size)
| サイズ設定
virtual int | getSize () const
| サイズ取得
virtual void | setValue (int time, const Vector3 &value)
| 値の設定
virtual const Vector3 & | getValue (int time) const
| 値の取得
virtual bool | isVectorArrayInterpolator () const
| ベクトル配列補間かどうか

## Detailed Description

ベクトル配列補間

Definition at line 36 of file VectorArrayInterpolator.h.

## Constructor & Destructor Documentation

Lamp::VectorArrayInterpolator::VectorArrayInterpolator | ( | const VectorArrayInterpolator & | copy | ) | `[explicit]`

  | コピーコンストラクタ Parameters:
  copy | コピー元
Definition at line 42 of file VectorArrayInterpolator.cpp. References array_, length_, NULL, and size_.

## Member Function Documentation

virtual VectorInterpolator* Lamp::VectorArrayInterpolator::duplicate | ( |  | ) | const`[inline, virtual]`

| 複製 Returns: 複製されたベクトル補間。呼び出し元でdeleteする必要がある Implements Lamp::VectorInterpolator. Definition at line 67 of file VectorArrayInterpolator.h. References VectorArrayInterpolator(). Referenced by Lamp::VectorInterpolationCompressor::compress().

virtual bool Lamp::VectorArrayInterpolator::equals | ( | const VectorInterpolator & | target | ) | const`[inline, virtual]`

  | 同じ値かどうか Parameters:
  target | 比較対象
Returns: 同じ値ならtrueをかえす Implements Lamp::VectorInterpolator. Definition at line 78 of file VectorArrayInterpolator.h. References array_, Lamp::VectorInterpolator::castVectorArrayInterpolator(), NULL, and size_.

AxisAlignedBox Lamp::VectorArrayInterpolator::getBoundingBox | ( |  | ) | const`[virtual]`

| バウンディングボックスの取得 Returns: バウンディングボックス Implements Lamp::VectorInterpolator. Definition at line 71 of file VectorArrayInterpolator.cpp. References Lamp::AxisAlignedBox::merge(), and Lamp::AxisAlignedBox::set().

virtual float Lamp::VectorArrayInterpolator::getLength | ( |  | ) | const`[inline, virtual]`

| 長さの取得 Returns: 長さ Implements Lamp::VectorInterpolator. Definition at line 96 of file VectorArrayInterpolator.h. Referenced by Lamp::VectorInterpolationCompressor::compressSetup().

virtual int Lamp::VectorArrayInterpolator::getSize | ( |  | ) | const`[inline, virtual]`

| サイズ取得 Returns: サイズ Definition at line 130 of file VectorArrayInterpolator.h. Referenced by Lamp::VectorInterpolationCompressor::compressSetup(), Lamp::TextAnimationSaver::writeVectorArrayInterpolator(), and Lamp::BinaryAnimationSaver::writeVectorArrayInterpolator().

virtual const Vector3& Lamp::VectorArrayInterpolator::getValue | ( | int | time | ) | const`[inline, virtual]`

  | 値の取得 Parameters:
  time | 値を取得する時間
Returns: 値 Definition at line 148 of file VectorArrayInterpolator.h. References Assert, and NULL. Referenced by Lamp::VectorInterpolationCompressor::compressConstant(), Lamp::VectorInterpolationCompressor::compressLinear(), Lamp::VectorInterpolationCompressor::recalcLinearError(), Lamp::TextAnimationSaver::writeVectorArrayInterpolator(), and Lamp::BinaryAnimationSaver::writeVectorArrayInterpolator().

Vector3 Lamp::VectorArrayInterpolator::interpolate | ( | float | time | ) | `[virtual]`

  | 補間 Parameters:
  time | 時間
Returns: 補間されたベクトル Implements Lamp::VectorInterpolator. Definition at line 82 of file VectorArrayInterpolator.cpp. References Assert, and NULL.

virtual bool Lamp::VectorArrayInterpolator::isVectorArrayInterpolator | ( |  | ) | const`[inline, virtual]`

| ベクトル配列補間かどうか Returns: ベクトル配列補間ならtrue Reimplemented from Lamp::VectorInterpolator. Definition at line 160 of file VectorArrayInterpolator.h.

VectorArrayInterpolator & Lamp::VectorArrayInterpolator::operator= | ( | const VectorArrayInterpolator & | copy | ) | `[virtual]`

  | 代入演算子 Parameters:
  copy | 代入元
Definition at line 54 of file VectorArrayInterpolator.cpp. References array_, length_, SafeArrayDelete, and size_.

void Lamp::VectorArrayInterpolator::setSize | ( | int | size | ) | `[virtual]`

  | サイズ設定 Parameters:
  size | 設定するサイズ。サイズ - 1がLengthになる。
Definition at line 103 of file VectorArrayInterpolator.cpp. References Assert, and SafeArrayDelete. Referenced by Lamp::TextAnimationLoader::readVectorArrayInterpolator(), and Lamp::BinaryAnimationLoader::readVectorArrayInterpolator().

virtual void Lamp::VectorArrayInterpolator::setValue | ( | int | time,
|  | const Vector3 & | value
| ) | `[inline, virtual]`

  | 値の設定 Parameters:
  time | 値を設定する時間
  value | 設定する値
Definition at line 138 of file VectorArrayInterpolator.h. References Assert, and NULL. Referenced by Lamp::TextAnimationLoader::readVectorArrayInterpolator(), and Lamp::BinaryAnimationLoader::readVectorArrayInterpolator().

The documentation for this class was generated from the following files:

- VectorArrayInterpolator.h
- VectorArrayInterpolator.cpp